Skip to main content
POST
/
waitlists
/
{waitlistId}
/
signups
curl --request POST \
  --url https://www.referralloop.dev/api/v1/waitlists/{waitlistId}/signups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "user@example.com",
  "name": "John Doe"
}
'
{
  "signup": {
    "id": "789e0123-e89b-12d3-a456-426614174000",
    "email": "user@example.com",
    "name": "John Doe",
    "position": 151,
    "referral_code": "XYZ789",
    "referral_url": "https://www.referralloop.dev/w/product-launch?ref=XYZ789",
    "created_at": "2024-01-15T10:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Use your API key as the bearer token. API keys can be generated in your dashboard.

Example: Authorization: Bearer pk_live_YOUR_API_KEY

Path Parameters

waitlistId
string<uuid>
required

The ID of the waitlist

Body

application/json
email
string<email>
required

Email address of the signup

Example:

"user@example.com"

name
string

Full name of the signup

Example:

"John Doe"

metadata
object

Custom data object to store additional information

Example:
{
"source": "landing_page",
"campaign": "summer_launch"
}
customFields
object

Custom fields (will be merged into metadata)

Response

Signup created successfully

signup
object
required